Bug 6144 - LIGO: Steamlined RLS startup
: LIGO: Steamlined RLS startup
Status: RESOLVED FIXED
: Replica Location
Roadmap
: development
: All All
: P3 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-06-09 19:13 by
Modified: 2009-11-12 16:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-06-09 19:13:04
At RLS startup, it (re)generates the catalog's bloom filter index. At large
scale, this step can take "very long". During this time, the RLS is in an
intermediate state unable to respond to pings, queries, etc.

This enhancement requests that the RLS generate its bloom filter in the
background while allowing it to service the rest of its operations.
------- Comment #1 From 2008-07-16 11:34:33 -------
Comments from Globus/LIGO call:

The RLS create, delete, rename LFN operations depends on bloom filter being
there.  One solution is to cache those operations, but that might be a problem
with overflow. Another option is to just have it answer "come back later".
Rob thinks caching adds is doable, but deletes would be harder.

"Operation not available" response is significantly easier than caching. Easy
first step. 

Rob will think about and then send an email that discusses the relative amount
of work needed for this RFE and then ask LIGO again for help with
prioritization.
------- Comment #2 From 2009-11-12 16:42:50 -------
Committed to trunk for gt5 release.